package com.example.root.boxe;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Environment;
import android.util.Log;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

import org.w3c.dom.Text;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.UUID;

public class FileActivity extends Activity {

    private final static String TAG = FileActivity.class.getSimpleName();
    public static final String EXTRAS_DATE = "";
    private String theDate;

    private TextView coup_portes;
    private TextView coup_touches;

    private TextView jabs_portes;
    private TextView jabs_touches;

    private TextView cd_portes;
    private TextView cd_touches;

    private TextView up_touches;
    private TextView up_portes;

    private Button close;

    //dossier et le fichier (son nom est la date)
    public static String mFile = "data";
    private String mDirectory="Boxe";

    View mView;
    MyGraph mGraph;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.file_activity);

        System.out.println("pourquoi ça ne marche pas ?!");

        mGraph = new MyGraph();
        mGraph.getView(this);

        List<Integer> xv = mGraph.xvalues;
        List<Integer> yv = mGraph.yvalues;
        List<Integer> zv = mGraph.zvalues;
        List<Integer> tv = mGraph.tvalues;

        int touched =0;
        int attempt=0;
        int jab=0;
        int coupdroit=0;
        int uppercut=0;

        int jabT=0;
        int coupdroitT=0;
        int uppercutT=0;

        System.out.println("val size : "+xv.size());

        for(int i=0;i<xv.size()-1;i++) {

            if (Math.abs(xv.get(i) - xv.get(i + 1)) > 40 || Math.abs(yv.get(i) - yv.get(i + 1)) > 20 || Math.abs(zv.get(i) - zv.get(i + 1)) > 10) {
                attempt++;
                if(Math.abs(xv.get(i) - xv.get(i + 1))>40){
                    jab++;
                    if(tv.get(i)<700 || tv.get(i)>950 || tv.get(i+1)<700 || tv.get(i+1)>950)
                        jabT++;
                }
                else if(Math.abs(yv.get(i) - yv.get(i + 1))>20){
                    coupdroit++;
                    if(tv.get(i)<700 || tv.get(i)>950)
                        coupdroitT++;
                }
                else if(Math.abs(zv.get(i) - zv.get(i + 1))>20){
                    uppercut++;
                    if(tv.get(i)<700 || tv.get(i)>950)
                        uppercutT++;
                }
            }
        }
        for(int i=0;i<tv.size()-1;i++) {
            if(tv.get(i)<700 || tv.get(i)>950){
                System.out.println("val touche : "+tv.get(i));
                touched++;
            }
        }

        if(jab/5+coupdroit/5+uppercut/5!=attempt/5) jab+=5;

        coup_portes = (TextView) findViewById(R.id.tentatives);
        coup_portes.setText(String.valueOf(attempt/5));

        coup_touches = (TextView) findViewById(R.id.tou);
        coup_touches.setText(String.valueOf(touched));

        jabs_portes=(TextView) findViewById(R.id.jabstentatives);
        jabs_portes.setText(String.valueOf(jab/5));

        jabs_touches=(TextView) findViewById(R.id.jabstou);
        jabs_touches.setText(String.valueOf(jabT));

        cd_portes = (TextView)findViewById(R.id.cdtentatives);
        cd_portes.setText(String.valueOf(coupdroit/5));

        cd_touches=(TextView)findViewById(R.id.cdtou);
        cd_touches.setText(String.valueOf(coupdroitT));

        up_portes=(TextView) findViewById(R.id.uptentatives);
        up_portes.setText(String.valueOf(uppercut/5));

        up_touches=(TextView)findViewById(R.id.uptou);
        up_touches.setText(String.valueOf(uppercutT));


        int maxLap =xv.size();
        getActionBar().setTitle("Data");
        getActionBar().setDisplayHomeAsUpEnabled(true);

        close = (Button) findViewById(R.id.closingapp);
        close.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                File myFile;
                Boolean success = true;
                String dir = "Boxe";
                String fileName = "data";
                File myDir = new File(Environment.getExternalStorageDirectory() + File.separator + dir);
                if (!myDir.exists()) {
                    success = myDir.mkdir(); // On crée le répertoire (s'il n'existe pas)
                    Log.i(TAG, "fuck it! That's impossible !");
                }
                myFile = new File(myDir, fileName);
                if (!success) {
                    Log.i("repertInterne", myFile.getAbsolutePath());
                }
                BufferedWriter writer = null;
                try {
                    FileWriter out = new FileWriter(myFile, false); //true pour append
                    // Intégration du contenu dans un BufferedWriter
                    writer = new BufferedWriter(out);
                    writer.write("");
                } catch (Exception e) {
                    e.printStackTrace();
                } finally {
                    if (writer != null) {
                        try { //libération de la ressource
                            writer.close();
                        } catch (IOException e) {
                            e.printStackTrace();
                        }
                    }
                }
                System.exit(0);
            }
        });
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case android.R.id.home:
                onBackPressed();
                return true;
        }
        return super.onOptionsItemSelected(item);
    }
}
